profile
viewpoint

nesdis/djongo 1137

Django and MongoDB database connector

nesdis/django-mongoengine 0

django mongoengine integration

nesdis/docs-ecosystem 0

MongoDB Ecosystem Documentation

nesdis/jekyll 0

:globe_with_meridians: Jekyll is a blog-aware, static site generator in Ruby

nesdis/jekyll-now 0

Build a Jekyll blog in minutes, without touching the command line.

nesdis/minimal-mistakes 0

:triangular_ruler: Jekyll theme for building a personal site, blog, project documentation, or portfolio.

nesdis/mongo-python-driver 0

PyMongo - the Python driver for MongoDB

nesdis/nesdis.github.io 0

Documentation for projects

nesdis/tutorial-extensions 0

Additional tasks for tutorial

startednesdis/djongo

started time in 14 hours

fork msadig/djongo

Django and MongoDB database connector

https://www.djongomapper.com

fork in 3 days

startednesdis/djongo

started time in 3 days

startednesdis/djongo

started time in 4 days

startednesdis/djongo

started time in 4 days

fork borismu/djongo

Django and MongoDB database connector

https://www.djongomapper.com

fork in 5 days

issue commentnesdis/djongo

Support non document Arrays

That's a good request. There has already been a similar request for simple dict field as well. Will tag this as a new feature request that can be used to extend the overall feature capabilities. Thanks On 09-Jan-2018 1:27 PM, "Samuel Bishop" ***@***.***> wrote: Simple flat arrays of values stored in an Array value are currently unsupported. Ideally, in addition to the existing support for Document Arrays, it would be good to have 'simple' array support. e.g.: Support for https://docs.mongodb.com/manual/tutorial/query-arrays/ in addition to the current support for https://docs.mongodb.com/manual/tutorial/query-array- of-documents/ I can work around this in most circumstances by using the manager query method and properties, but its a hinderance to interoperability with existing MongoDB databases, and could arguably be better. Especially in light of the built in support Django has for PostgreSQL array fields. https://docs.djangoproject.com/en/2.0/ref/contrib/ postgres/fields/#arrayfield — You are receiving this because you are subscribed to this thread. Reply to this email directly, view it on GitHub <#44>, or mute the thread https://github.com/notifications/unsubscribe-auth/AQO4BChrPXgrNXfYocv-WY63AbDLBJcuks5tIxvbgaJpZM4RXcPQ .

why this still in TODO?

techdragon

comment created time in 5 days

startednesdis/djongo

started time in 5 days

startednesdis/djongo

started time in 6 days

startednesdis/djongo

started time in 6 days

issue commentnesdis/djongo

FAILED SQL: ALTER TABLE

fixed in this PR #474

aliakbarhamzeh1378

comment created time in 7 days

pull request commentnesdis/djongo

add all sqlparse.tokens.Name.Builtin types

please merge this PR and release it. in my case, I need array built-in.

lsaavedr

comment created time in 7 days

fork harizMunawar/djongo

Django and MongoDB database connector

https://www.djongomapper.com

fork in 8 days

startednesdis/djongo

started time in 8 days

startednesdis/djongo

started time in 8 days

startednesdis/djongo

started time in 8 days

startednesdis/djongo

started time in 8 days

startednesdis/djongo

started time in 9 days

startednesdis/djongo

started time in 9 days

startednesdis/djongo

started time in 9 days

issue commentnesdis/djongo

Distinct: NotSupportedError

I need help! Same issue here

elaimaz

comment created time in 10 days

startednesdis/djongo

started time in 10 days

fork Navpreet2289/djongo

Django and MongoDB database connector

https://www.djongomapper.com

fork in 11 days

startednesdis/djongo

started time in 11 days

issue commentnesdis/djongo

djongo' isn't an available database backend

Error upon attempting to python3 manage.py runserver

Watching for file changes with StatReloader
Performing system checks...

Exception in thread django-main-thread:
Traceback (most recent call last):
  File "/home/me/Desktop/retestdjongoerror/ztest/lib/python3.6/site-packages/django/db/utils.py", line 111, in load_backend
    return import_module('%s.base' % backend_name)
  File "/usr/lib/python3.6/importlib/__init__.py", line 126, in import_module
    return _bootstrap._gcd_import(name[level:], package, level)
  File "<frozen importlib._bootstrap>", line 994, in _gcd_import
  File "<frozen importlib._bootstrap>", line 971, in _find_and_load
  File "<frozen importlib._bootstrap>", line 941, in _find_and_load_unlocked
  File "<frozen importlib._bootstrap>", line 219, in _call_with_frames_removed
  File "<frozen importlib._bootstrap>", line 994, in _gcd_import
  File "<frozen importlib._bootstrap>", line 971, in _find_and_load
  File "<frozen importlib._bootstrap>", line 953, in _find_and_load_unlocked
ModuleNotFoundError: No module named 'djongo'

The above exception was the direct cause of the following exception:

Traceback (most recent call last):
  File "/usr/lib/python3.6/threading.py", line 916, in _bootstrap_inner
    self.run()
  File "/usr/lib/python3.6/threading.py", line 864, in run
    self._target(*self._args, **self._kwargs)
  File "/home/me/Desktop/retestdjongoerror/ztest/lib/python3.6/site-packages/django/utils/autoreload.py", line 53, in wrapper
    fn(*args, **kwargs)
  File "/home/me/Desktop/retestdjongoerror/ztest/lib/python3.6/site-packages/django/core/management/commands/runserver.py", line 117, in inner_run
    self.check(display_num_errors=True)
  File "/home/me/Desktop/retestdjongoerror/ztest/lib/python3.6/site-packages/django/core/management/base.py", line 395, in check
    include_deployment_checks=include_deployment_checks,
  File "/home/me/Desktop/retestdjongoerror/ztest/lib/python3.6/site-packages/django/core/management/base.py", line 382, in _run_checks
    return checks.run_checks(**kwargs)
  File "/home/me/Desktop/retestdjongoerror/ztest/lib/python3.6/site-packages/django/core/checks/registry.py", line 72, in run_checks
    new_errors = check(app_configs=app_configs)
  File "/home/me/Desktop/testdjongoerror/ztest/lib/python3.6/site-packages/django/core/checks/model_checks.py", line 34, in check_all_models
    errors.extend(model.check(**kwargs))
  File "/home/me/Desktop/retestdjongoerror/ztest/lib/python3.6/site-packages/django/db/models/base.py", line 1255, in check
    *cls._check_long_column_names(),
  File "/home/me/Desktop/retestdjongoerror/ztest/lib/python3.6/site-packages/django/db/models/base.py", line 1774, in _check_long_column_names
    connection = connections[db]
  File "/home/me/Desktop/retestdjongoerror/ztest/lib/python3.6/site-packages/django/db/utils.py", line 207, in __getitem__
    backend = load_backend(db['ENGINE'])
  File "/home/me/Desktop/retestdjongoerror/ztest/lib/python3.6/site-packages/django/db/utils.py", line 126, in load_backend
    ) from e_user
django.core.exceptions.ImproperlyConfigured: 'djongo' isn't an available database backend.
Try using 'django.db.backends.XXX', where XXX is one of:
    'mysql', 'oracle', 'postgresql', 'sqlite3'

This is the DB settings from when the errors started. myapp/settings.py

DATABASES = {
    'default': {
        'ENGINE': 'django.db.backends.sqlite3',
        'NAME': os.path.join(BASE_DIR, 'db.sqlite3'),
    },
    'analytics': {
          'ENGINE': 'djongo',
          'NAME': 'demodb1',
          'CLIENT': {
                'host': 'mongodb://mongodb:27017',
                'username': 'user1',
                'password': 'pass1',
                'authSource': 'admin1',
                'authMechanism': 'SCRAM-SHA-1',
                }
        },
}

pip freeze:

asgiref==3.3.1
dataclasses==0.8
Django==2.2.8
djongo==1.3.3
pymongo==3.11.2
pytz==2020.5
sqlparse==0.2.4
mstgnz

comment created time in 11 days

issue commentnesdis/djongo

djongo' isn't an available database backend

can you show any logs of your errors

mstgnz

comment created time in 11 days

issue commentnesdis/djongo

djongo' isn't an available database backend

Would you mind sharing your docker setup? I am attempting to Dockerize a small django app with mongodb/djongo and running into issues...

On Tue, Jan 5, 2021 at 7:10 AM Leo Lafon notifications@github.com wrote:

The same issue arose recently for me when building a docker image inside a deployment pipeline. We fixed it by switching from:

FROM python:3.6

to

FROM python:3.6.8

in the Dockerfile.

— You are receiving this because you are subscribed to this thread. Reply to this email directly, view it on GitHub https://github.com/nesdis/djongo/issues/171#issuecomment-754695029, or unsubscribe https://github.com/notifications/unsubscribe-auth/ABPP5AUDMSAPGD3EJFNRMODSYMTURANCNFSM4FP2623A .

mstgnz

comment created time in 11 days

issue commentnesdis/djongo

djongo' isn't an available database backend

I have the same issue. I'm using virtualenv on ubuntu. After lots of search, this was my last bus stop: upgrading django==2.2.8 --> django==3.1.5 I have these:

Django==3.1.5
djongo==1.3.3
Python 3.6.9

Worked!

mstgnz

comment created time in 11 days

issue commentnesdis/djongo

djongo' isn't an available database backend

The same issue arose recently for me when building a docker image inside a deployment pipeline. We fixed it by switching from:

FROM python:3.6

to

FROM python:3.6.8

in the Dockerfile.

mstgnz

comment created time in 12 days

fork fload/djongo

Django and MongoDB database connector

https://www.djongomapper.com

fork in 12 days

more